<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Posts on Blog Fede</title>
    <link>https://fedesrv.ddns.net/posts/</link>
    <description>Recent content in Posts on Blog Fede</description>
    <generator>Hugo</generator>
    <language>en-us</language>
    <lastBuildDate>Wed, 19 Mar 2025 02:53:57 -0300</lastBuildDate>
    <atom:link href="https://fedesrv.ddns.net/posts/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Coord Keeper</title>
      <link>https://fedesrv.ddns.net/posts/coord-keeper/</link>
      <pubDate>Wed, 19 Mar 2025 02:53:57 -0300</pubDate>
      <guid>https://fedesrv.ddns.net/posts/coord-keeper/</guid>
      <description>&lt;h1 id=&#34;motivacion&#34;&gt;Motivacion&lt;/h1&gt;&#xA;&lt;p&gt;He notado que en versiones actuales de minecraft han puesto mucha informacion en el menu de debug (el &lt;!-- raw HTML omitted --&gt;f3&lt;!-- raw HTML omitted --&gt;) lo que lo hace cada vez más hostil al jugador promedio intentar encontrar la linea con las coordenadas de donde esta y poderse comunicar con la gente en el mismo servidor, es obvio que esto es totalmente intencionado. Entiendo que el objetivo es que uses las herramientas dadas por los diseñadores del videojuego para poder localizarte. Pero yo necesito una forma de poder guardar las coordenadas localmente en mi computadora. aunque podria haber usado un block de notas para almacenarlas me decidí por hacer algo más inproductivo&amp;hellip;. hacer una app de react.&lt;/p&gt;</description>
    </item>
    <item>
      <title>Sistema Alquileres DevLog n1</title>
      <link>https://fedesrv.ddns.net/posts/sist_alquileres_devlog_1/</link>
      <pubDate>Sun, 10 Nov 2024 00:08:17 +0800</pubDate>
      <guid>https://fedesrv.ddns.net/posts/sist_alquileres_devlog_1/</guid>
      <description>&lt;h1 id=&#34;que-es-esto&#34;&gt;¿Que es esto?&lt;/h1&gt;&#xA;&lt;p&gt;Estas son pequeñas updates que voy a estar haciendo sobre el proyecto final mio de &amp;ldquo;Ingenieria de Software&amp;rdquo; (asi se llama la materia). El cual consiste de un sistema de gestion de alquileres. Pensado para tener varios tipos de usuario como un propietario que carge las propiedades que desea publicar siempre y cuando este verificado que le pertenecen a él y un inquilino el cual podra efectuar busquedas de propiedades para alquilas, ver el estado de los alquileres, y pagar los alquileres que sean correpondientes.&lt;/p&gt;</description>
    </item>
    <item>
      <title>Fix Screen Tear x11</title>
      <link>https://fedesrv.ddns.net/posts/fix_screen_tear_xfce/</link>
      <pubDate>Sat, 09 Nov 2024 13:28:17 +0800</pubDate>
      <guid>https://fedesrv.ddns.net/posts/fix_screen_tear_xfce/</guid>
      <description>&lt;h1 id=&#34;que-es-el-screen-tear&#34;&gt;¿Que es el screen tear?&lt;/h1&gt;&#xA;&lt;p&gt;buenas, Si alguna vez instalaron un wm liviano en linux que no use wayland seguramente habrán notado que al momento de mover una ventana en el escritorio o ver un video sucede algo de este estilo.&lt;/p&gt;&#xA;&lt;p&gt;&lt;img src=&#34;https://qph.cf2.quoracdn.net/main-qimg-4994dca8fc9979e8a10d3422cb5f7bcb&#34; alt=&#34;Imagen sacada de google donde se demuestra el screen tear&#34;&gt;&lt;/p&gt;&#xA;&lt;p&gt;Donde la imagen se ve recortada por algunos milisegundos. A mi se me hace muy molesto a la vista cuando estoy mucho tiempo (relativamente) delante de la pantalla.&lt;/p&gt;</description>
    </item>
    <item>
      <title>String Interpolation</title>
      <link>https://fedesrv.ddns.net/posts/string-interpolation/</link>
      <pubDate>Tue, 24 Oct 2023 22:24:17 +0800</pubDate>
      <guid>https://fedesrv.ddns.net/posts/string-interpolation/</guid>
      <description>&lt;h1 id=&#34;que-es&#34;&gt;¿Que es?&lt;/h1&gt;&#xA;&lt;p&gt;Es un proceso de evaluado, en el cual se reemplazan placeholders en &lt;code&gt;string&lt;/code&gt; por valores, en nuestro caso, de variables en momento de ejecución.&lt;/p&gt;&#xA;&lt;h1 id=&#34;sintaxis&#34;&gt;Sintaxis&lt;/h1&gt;&#xA;&lt;pre&gt;&lt;code&gt;var manzanas = 4;&#xA;var bananas = 3;&#xA;&#xA;Console.WriteLine($&amp;quot;Tengo {manzanas} manzanas&amp;quot;);&#xA;Console.WriteLine($&amp;quot;Vendí {manzanas + bananas} frutas&amp;quot;);&#xA;&lt;/code&gt;&lt;/pre&gt;&#xA;&lt;blockquote&gt;&#xA;&lt;p&gt;Basicamente son plantillas.&lt;/p&gt;&lt;/blockquote&gt;</description>
    </item>
    <item>
      <title>Anuncio Aoc 2023</title>
      <link>https://fedesrv.ddns.net/posts/anuncio-aoc-2023/</link>
      <pubDate>Tue, 03 Oct 2023 12:54:22 -0300</pubDate>
      <guid>https://fedesrv.ddns.net/posts/anuncio-aoc-2023/</guid>
      <description>&lt;h1 id=&#34;que-es-advent-of-code&#34;&gt;¿Que es Advent of Code?&lt;/h1&gt;&#xA;&lt;p&gt;Son un grupo de puzzles de programacion presentados en forma de calendario que suelen ser utizados como:&lt;/p&gt;&#xA;&lt;ul&gt;&#xA;&lt;li&gt;Preparacion de entrevistas.&lt;/li&gt;&#xA;&lt;li&gt;Training en empresas.&lt;/li&gt;&#xA;&lt;li&gt;Practica para familiarizarse con nuevos lenguajes de programacion.&lt;/li&gt;&#xA;&lt;li&gt;&lt;em&gt;etc&amp;hellip;&lt;/em&gt;&lt;/li&gt;&#xA;&lt;/ul&gt;&#xA;&lt;h1 id=&#34;que-tengo-pensado&#34;&gt;Que tengo pensado&lt;/h1&gt;&#xA;&lt;p&gt;Cerca de fin de año voy a hacer todos los dias de esa edicion de advent of code usando &lt;code&gt;zig&lt;/code&gt; como un ejercicio para aprender ese lenguaje de programacion &lt;code&gt;(aunque de forma básica)&lt;/code&gt;.&lt;/p&gt;</description>
    </item>
    <item>
      <title>Bootloader Incident</title>
      <link>https://fedesrv.ddns.net/posts/bootloaderincident/</link>
      <pubDate>Tue, 26 Sep 2023 22:27:20 -0300</pubDate>
      <guid>https://fedesrv.ddns.net/posts/bootloaderincident/</guid>
      <description>&lt;h1 id=&#34;el-inicio-de-la-catastrofe&#34;&gt;El inicio de la catastrofe&lt;/h1&gt;&#xA;&lt;p&gt;En pocas palabras, &lt;strong&gt;Nunca Corten Un &lt;code&gt;pacman -Syu&lt;/code&gt;&lt;/strong&gt;.&lt;br&gt;&#xA;Si utilizan &lt;strong&gt;arch&lt;/strong&gt; sabrán que se pueden configurar &amp;lsquo;hooks&amp;rsquo; antes y despues de las operaciones con el comando &lt;code&gt;pacman&lt;/code&gt;, uno de estos era responsable de actualizar la entrada en el bootloader (uso systemd-boot btw). Al haber cortado sin querer este proceso me quedé sin entrada en el bootloader para linux y solo podia volver al menu de la &lt;strong&gt;UEFI&lt;/strong&gt;.&lt;/p&gt;</description>
    </item>
    <item>
      <title>Imagenes: Color a b&amp;w</title>
      <link>https://fedesrv.ddns.net/posts/pasar-imagenes-a-blanco-y-negro/</link>
      <pubDate>Sat, 23 Sep 2023 10:35:18 -0300</pubDate>
      <guid>https://fedesrv.ddns.net/posts/pasar-imagenes-a-blanco-y-negro/</guid>
      <description>&lt;h1 id=&#34;gimp&#34;&gt;Gimp&lt;/h1&gt;&#xA;&lt;p&gt;Hay varias formas de pasar una imagen a blanco y negro. yo prefiero la de usar &lt;strong&gt;Gimp&lt;/strong&gt; con la opcion de &lt;code&gt;Color &amp;gt; Desaturacion &amp;gt; Color a gama de grises&lt;/code&gt;. Pero voy a listar un par de métodos alternativos para obtener el ~mismo resultado.&lt;br&gt;&#xA;&lt;img src=&#34;https://fedesrv.ddns.net/fedecomp.png&#34; alt=&#34;Comparación&#34;&gt;&lt;/p&gt;&#xA;&lt;h1 id=&#34;imagemagick&#34;&gt;ImageMagick&lt;/h1&gt;&#xA;&lt;blockquote&gt;&#xA;&lt;p&gt;Es un conjunto de utilidades de código abierto​ para mostrar, manipular y convertir imágenes, capaz de leer y escribir más de 200 formatos.​&lt;/p&gt;&lt;/blockquote&gt;&#xA;&lt;p&gt;Una de esas utilidades es llamada &lt;code&gt;convert&lt;/code&gt;, la cual acepta un archivo y convierte este a el formato que se le especifique. Existe una flag llamada &lt;code&gt;-colorspace&lt;/code&gt; la cual si le damos el parametro &lt;strong&gt;Gray&lt;/strong&gt; la imagen resultante estará representada en una gama de grises.&#xA;&lt;img src=&#34;https://fedesrv.ddns.net/fedeg.jpg&#34; alt=&#34;Imagen en gama de grises&#34;&gt;&lt;/p&gt;</description>
    </item>
    <item>
      <title>Diseño de Software Incident</title>
      <link>https://fedesrv.ddns.net/posts/dise%C3%B1o-de-software-incident/</link>
      <pubDate>Fri, 22 Sep 2023 15:08:17 +0800</pubDate>
      <guid>https://fedesrv.ddns.net/posts/dise%C3%B1o-de-software-incident/</guid>
      <description>&lt;h1 id=&#34;instanciacion-del-sqlconnection&#34;&gt;Instanciacion del SqlConnection&lt;/h1&gt;&#xA;&lt;div class=&#34;highlight&#34;&gt;&lt;pre tabindex=&#34;0&#34; style=&#34;color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4;&#34;&gt;&lt;code class=&#34;language-csharp&#34; data-lang=&#34;csharp&#34;&gt;&lt;span style=&#34;display:flex;&#34;&gt;&lt;span&gt;&lt;span style=&#34;color:#66d9ef&#34;&gt;using&lt;/span&gt; (&lt;span style=&#34;color:#66d9ef&#34;&gt;var&lt;/span&gt; connection = &lt;span style=&#34;color:#66d9ef&#34;&gt;new&lt;/span&gt; SqlConnection(configuration.GetConnectionString(&lt;span style=&#34;color:#e6db74&#34;&gt;&amp;#34;DefaultConnection&amp;#34;&lt;/span&gt;)))&#xA;&lt;/span&gt;&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/div&gt;&lt;p&gt;Eso genera un sql connection que va a existir hasta que salga del scope del programa.&lt;/p&gt;&#xA;&lt;h1 id=&#34;creacion-del-sqlcommand&#34;&gt;Creacion del SqlCommand&lt;/h1&gt;&#xA;&lt;div class=&#34;highlight&#34;&gt;&lt;pre tabindex=&#34;0&#34; style=&#34;color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4;&#34;&gt;&lt;code class=&#34;language-csharp&#34; data-lang=&#34;csharp&#34;&gt;&lt;span style=&#34;display:flex;&#34;&gt;&lt;span&gt;&lt;span style=&#34;color:#66d9ef&#34;&gt;using&lt;/span&gt; var command = &lt;span style=&#34;color:#66d9ef&#34;&gt;new&lt;/span&gt; SqlCommand();&#xA;&lt;/span&gt;&lt;/span&gt;&lt;span style=&#34;display:flex;&#34;&gt;&lt;span&gt;command.CommandText = &lt;span style=&#34;color:#e6db74&#34;&gt;&amp;#34;sp_RecuperaProductos&amp;#34;&lt;/span&gt;;&#xA;&lt;/span&gt;&lt;/span&gt;&lt;span style=&#34;display:flex;&#34;&gt;&lt;span&gt;command.CommandType = System.Data.CommandType.StoredProcedure;&#xA;&lt;/span&gt;&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/div&gt;&lt;h1 id=&#34;apertura-de-la-coneccion&#34;&gt;Apertura de la coneccion&lt;/h1&gt;&#xA;&lt;div class=&#34;highlight&#34;&gt;&lt;pre tabindex=&#34;0&#34; style=&#34;color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4;&#34;&gt;&lt;code class=&#34;language-csharp&#34; data-lang=&#34;csharp&#34;&gt;&lt;span style=&#34;display:flex;&#34;&gt;&lt;span&gt;command.Connection = connection;&#xA;&lt;/span&gt;&lt;/span&gt;&lt;span style=&#34;display:flex;&#34;&gt;&lt;span&gt;command.Connection.Open();&#xA;&lt;/span&gt;&lt;/span&gt;&lt;/code&gt;&lt;/pre&gt;&lt;/div&gt;&lt;h2 id=&#34;utilizacion-del-executereader&#34;&gt;Utilizacion del ExecuteReader&lt;/h2&gt;&#xA;&lt;p&gt;Es un choclo pero basicamente el codigo de abajo se encarga de iterar por cada uno de las entradas de la tabla. &lt;strong&gt;MUY&lt;/strong&gt; importante, se tiene que añadir los productos dentro del loop principal del reader ya que lo que no se guarde en cada iteracion se pierde. (los maps no son case sensitive).&lt;/p&gt;</description>
    </item>
    <item>
      <title>RetroArchivements</title>
      <link>https://fedesrv.ddns.net/posts/retroarchivements/</link>
      <pubDate>Fri, 22 Sep 2023 13:30:17 +0800</pubDate>
      <guid>https://fedesrv.ddns.net/posts/retroarchivements/</guid>
      <description>&lt;p&gt;Hace ya un par de dias que estoy usando un &lt;a href=&#34;https://retroachievements.org/user/fedpo2&#34;&gt;servicio&lt;/a&gt; que implementa una api para trackear tu progreso en distintos juegos retro y no tan retro.&lt;/p&gt;&#xA;&lt;p&gt;Uno de los que estoy jugando es &lt;code&gt;Kirby&#39;s dream land 2&lt;/code&gt;&lt;br&gt;&#xA;&lt;img src=&#34;https://media.retroachievements.org/Images/046585.png&#34; alt=&#34;kirby&#34;&gt;&lt;/p&gt;</description>
    </item>
    <item>
      <title>Primer Post</title>
      <link>https://fedesrv.ddns.net/posts/sample-post/</link>
      <pubDate>Fri, 22 Sep 2023 12:28:17 +0800</pubDate>
      <guid>https://fedesrv.ddns.net/posts/sample-post/</guid>
      <description>&lt;h1 id=&#34;buenas&#34;&gt;buenas&lt;/h1&gt;&#xA;&lt;p&gt;buenas&#xA;Luego de sufrir bastante con el nginx y su &lt;em&gt;Reverse Proxy&lt;/em&gt;, finalmente me decidí por poner la pagina del blog en el &lt;strong&gt;WebRoot&lt;/strong&gt; y el &lt;em&gt;gitea&lt;/em&gt; en un subfolder.&lt;/p&gt;&#xA;&lt;h2 id=&#34;como-funciona-esto&#34;&gt;Como funciona esto&lt;/h2&gt;&#xA;&lt;p&gt;El programa que estoy usando para hacer este blog se llama &lt;a href=&#34;https://gohugo.io&#34;&gt;Hugo&lt;/a&gt;, consiste de una especie de parceador de &lt;a href=&#34;https://www.markdownguide.org/&#34;&gt;Markdown&lt;/a&gt; a Html estático el cual hosteo con este &lt;a href=&#34;https://nginx.org/en/&#34;&gt;webServer&lt;/a&gt;.&lt;/p&gt;&#xA;&lt;h3 id=&#34;como-hago-nuevos-posts&#34;&gt;Como hago nuevos posts&lt;/h3&gt;&#xA;&lt;p&gt;Dentro de la carpeta del proyecto del server hay una que se llama content, todos los &lt;code&gt;.md&lt;/code&gt; que haya ahí cuando utilizo el comando:&lt;/p&gt;</description>
    </item>
  </channel>
</rss>
